Package org.apache.solr.common.params

## Interface CollectionParams

    public interface CollectionParams

### Nested Class Summary

Nested Classes
`static class` `CollectionParams.CollectionAction` (Mostly) Collection API actions that can be sent by nodes to the Overseer over the `/overseer/collection-queue-work` ZooKeeper queue.
`static class` `CollectionParams.LockLevel`

### Field Summary

Fields
`static String` `ACTION` What action
`static Map<String,​CollectionParams.CollectionAction>` `actions`
`static String` `FROM_NODE` Deprecated. use `SOURCE_NODE` instead
`static String` `NAME`
`static String` `SOURCE_NODE`
`static String` `TARGET_NODE`

### Field Detail

#### ACTION

    static final String ACTION

What action

See Also:
  Constant Field Values

#### NAME

    static final String NAME

See Also:
  Constant Field Values

#### FROM_NODE

    @Deprecated
    static final String FROM_NODE

Deprecated.
use `SOURCE_NODE` instead

See Also:
  Constant Field Values

#### SOURCE_NODE

    static final String SOURCE_NODE

See Also:
  Constant Field Values

#### TARGET_NODE

    static final String TARGET_NODE

See Also:
  Constant Field Values

#### actions

    static final Map<String,​CollectionParams.CollectionAction> actions